"use strict";

exports.__esModule = true;
exports.WordpressMediaItem = void 0;

var _Model = require("./Model");

class WordpressMediaItem extends _Model.Model {
  constructor(...args) {
    super(...args);
    this.sourceNodeId = void 0;
  }

  get id() {
    return this.data.id;
  }

  get fields() {
    return ['title', 'altText', 'slug', 'fileSize', 'mimeType', 'sourceUrl', 'width', 'height', 'source'];
  }

  get title() {
    return this.data.title;
  }

  get altText() {
    return this.data.altText;
  }

  get slug() {
    return this.data.slug;
  }

  get fileSize() {
    return this.data.fileSize;
  }

  get mimeType() {
    return this.data.mimeType;
  }

  get sourceUrl() {
    return this.data.sourceUrl;
  }

  get width() {
    var _this$data$mediaDetai;

    return (_this$data$mediaDetai = this.data.mediaDetails) === null || _this$data$mediaDetai === void 0 ? void 0 : _this$data$mediaDetai.width;
  }

  get height() {
    var _this$data$mediaDetai2;

    return (_this$data$mediaDetai2 = this.data.mediaDetails) === null || _this$data$mediaDetai2 === void 0 ? void 0 : _this$data$mediaDetai2.height;
  }

  get source() {
    return this.sourceNodeId;
  }

}

exports.WordpressMediaItem = WordpressMediaItem;
//# sourceMappingURL=WordpressMediaItem.js.map