"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.WordpressContent = exports.FileNodeRegex = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _gatsby = require("gatsby");

var _gatsbyPluginImage = require("gatsby-plugin-image");

var _htmlReactParser = _interopRequireWildcard(require("html-react-parser"));

var _react = _interopRequireDefault(require("react"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const FileNodeRegex = /^fileNode:\/\/([a-f0-9-]+)$/;
exports.FileNodeRegex = FileNodeRegex;

class WordpressContent extends _react.default.Component {
  render() {
    const hostUrl = new URL(this.props.replaceHost);
    const {
      html,
      files
    } = this.props.content;
    const options = {
      replace: ({
        type,
        tagName,
        attribs,
        children
      }) => {
        if (type === 'tag' && tagName === 'img' && FileNodeRegex.test(attribs.src)) {
          const [, nodeId] = attribs.src.match(FileNodeRegex);
          const file = files.find(({
            id
          }) => id === nodeId);

          if (!file) {
            return null;
          }

          return file !== null && file !== void 0 && file.childImageSharp ? /*#__PURE__*/_react.default.createElement(_gatsbyPluginImage.GatsbyImage, {
            alt: file.name,
            image: file.childImageSharp.gatsbyImageData
          }) : /*#__PURE__*/_react.default.createElement("img", {
            alt: file.name,
            src: file.publicURL
          });
        } else if (type === 'tag' && tagName === 'a' && attribs.href) {
          const {
            href,
            target,
            ...rest
          } = attribs;
          rest.className = rest.class;
          delete rest.class;
          const url = new URL(href, hostUrl.origin);
          return hostUrl != null && url.origin === hostUrl.origin ? /*#__PURE__*/_react.default.createElement(_gatsby.Link, (0, _extends2.default)({
            to: url.pathname
          }, rest), (0, _htmlReactParser.domToReact)(children, options)) : /*#__PURE__*/_react.default.createElement("a", (0, _extends2.default)({
            href: attribs.href,
            target: "_blank",
            rel: "noreferrer"
          }, rest), (0, _htmlReactParser.domToReact)(children, options));
        }

        return false;
      }
    };
    return (0, _htmlReactParser.default)(html, options);
  }

}

exports.WordpressContent = WordpressContent;
//# sourceMappingURL=WordpressContent.js.map