"use strict";

exports.__esModule = true;
exports.createSchemaCustomization = createSchemaCustomization;

function createSchemaCustomization({
  actions: {
    createTypes
  },
  schema
}) {
  createTypes([schema.buildObjectType({
    name: 'WordpressContent',
    interfaces: ['Node'],
    fields: {
      html: 'String!',
      tree: {
        type: 'JSON!',
        extensions: {
          infer: false
        }
      },
      files: {
        type: '[File]',
        extensions: {
          link: {}
        }
      }
    },
    extensions: {
      infer: false
    }
  })]);
  createTypes(`
    type WordpressPost implements Node @dontInfer {
      id: ID!
      title: String!
      slug: String!
      date: String!
      featuredImage: WordpressMediaItem @link
      excerpt: String!
      content: WordpressContent!
      seoCanonical: String
      seoTitle: String
      seoDesription: String
      seoKeywords: String
      seoNoFollow: String
      seoNoIndex: String
    }

    type WordpressPage implements Node @dontInfer {
      id: ID!
      title: String!
      slug: String!
      date: String!
      featuredImage: WordpressMediaItem @link
      content: WordpressContent!
      seoCanonical: String
      seoTitle: String
      seoDesription: String
      seoKeywords: String
      seoNoFollow: String
      seoNoIndex: String
    }

    type WordpressMediaItem implements Node @dontInfer {
      id: ID!
      title: String!
      altText: String!
      slug: String!
      fileSize: Int!
      mimeType: String!
      sourceUrl: String!
      width: Int!
      height: Int!
      source: File @link
    }
  `);
}
//# sourceMappingURL=createSchemaCustomization.js.map