"use strict";

exports.__esModule = true;
exports.CacheAdapterPersist = void 0;

var _fsExtra = require("fs-extra");

var _CacheAdapter = require("./CacheAdapter");

class CacheAdapterPersist extends _CacheAdapter.CacheAdapter {
  constructor(args) {
    super(args);
    this.data = void 0;

    if (!(0, _fsExtra.existsSync)('.wordpress-graphql-cache/')) {
      (0, _fsExtra.mkdirpSync)('.wordpress-graphql-cache/');
    }

    if (!(0, _fsExtra.existsSync)('.wordpress-graphql-cache/data.json')) {
      (0, _fsExtra.writeFileSync)('.wordpress-graphql-cache/data.json', '{}', 'utf8');
    }

    this.data = JSON.parse((0, _fsExtra.readFileSync)('.wordpress-graphql-cache/data.json', 'utf-8'));
  }

  async get(key) {
    return this.data[key];
  }

  async set(key, value) {
    this.data[key] = value;
    (0, _fsExtra.writeFileSync)('.wordpress-graphql-cache/data.json', JSON.stringify(this.data), 'utf8');
  }

}

exports.CacheAdapterPersist = CacheAdapterPersist;
//# sourceMappingURL=CacheAdapterPersist.js.map