"use strict";

exports.__esModule = true;
exports.pluginOptionsSchema = pluginOptionsSchema;

function pluginOptionsSchema({
  Joi
}) {
  return Joi.object({
    host: Joi.string().uri().description('Wordpress GraphQL Endpoint'),
    authorization: Joi.string().required().description('HTTP Authorization Header'),
    perPage: Joi.number().default(100).description('Records to fetch per request'),
    batchSize: Joi.number().default(10).description('Media Item Import batch size'),
    cacheAdapter: Joi.string().allow('gatsby', 'persist').default('gatsby').description('Cache Adapter (gatsby, persist)'),
    transformContent: Joi.function().description('Content transformation options via unihtml')
  });
}
//# sourceMappingURL=pluginOptionsSchema.js.map