"use strict";

exports.__esModule = true;
exports.processContent = processContent;
exports.findImageUrls = findImageUrls;

var _unihtml = require("unihtml");

function processContent(html, transformContent) {
  const tree = (0, _unihtml.parse)(html);

  if (transformContent) {
    (0, _unihtml.transform)(tree, transformContent);
  }

  return tree;
}

function findImageUrls(posts) {
  const sourceUrls = new Set();

  for (const post of posts) {
    (0, _unihtml.transform)(post.content.tree, ({
      custom
    }) => {
      custom(node => node.type === 'element' && node.tagName === 'img', (node, index, parent) => {
        if (index === null || parent === null) {
          return;
        }

        const sourceUrl = node.properties.src;

        if (sourceUrl) {
          sourceUrls.add(sourceUrl);
        }
      });
    });
  }

  return sourceUrls;
}
//# sourceMappingURL=content.js.map